Files
Set Group Gallery File Order
Set the order of the files in a group gallery
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Request Body
application/json
Response Body
application/json
application/json
curl -X PUT "https://api.vrchat.cloud/api/1/files/order" \ -H "Content-Type: application/json" \ -d '{ "galleryId": "ggal_a03a4b55-4ca6-4490-9519-40ba6351a233", "ids": [ "file_ce35d830-e20a-4df0-a6d4-5aaef4508044" ] }'{
"ids": [
"file_ce35d830-e20a-4df0-a6d4-5aaef4508044"
]
}{
"error": {
"message": "File 'file_ce35d830-e20a-4df0-a6d4-5aaef4508044' not found",
"status_code": 404
}
}List Files GET
Returns a list of files
Start FileData Upload PUT
Starts an upload of a specific FilePart. This endpoint will return an AWS URL which you can PUT data to. You need to call this and receive a new AWS API URL for each `partNumber`. Please see AWS's REST documentation on "PUT Object to S3" on how to upload. Once all parts has been uploaded, proceed to `/finish` endpoint. **Note:** `nextPartNumber` seems like it is always ignored. Despite it returning 0, first partNumber is always 1.